GuideLab API

Update Company Settings

Update company settings such as name, contact information, address, currency, and other organization preferences.

PUT
/company-settings

Update company settings such as name, contact information, address, currency, and other organization preferences.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/company-settings" \  -H "Content-Type: application/json" \  -d '{}'
{  "settings": {    "id": "string",    "name": "string",    "slug": "string",    "logo": "string",    "labReference": "string",    "email": "string",    "billingEmail": "string",    "address": "string",    "addressLine2": "string",    "city": "string",    "state": "string",    "country": "string",    "postcode": "string",    "timezone": "string",    "currency": "string",    "dateFormat": "string",    "phone": "string",    "website": "string",    "companyNumber": "string",    "taxRegistrationNumber": "string",    "teethChartingSystem": "string",    "workTypeLayout": "string",    "latitude": "string",    "longitude": "string",    "isDiscoverable": true,    "description": "string",    "coverImage": "string",    "createdAt": "string",    "updatedAt": "string"  }}
Empty
Empty
Empty
Empty